# class toSGAStatement

This widget displays information about a statement in the Oracle SGA. More...

Definition | `#include <tosgastatement.h>`
Inherits | QTabWidget (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toSGAStatement (QWidget *parent)

#### Public Slots

- virtual void changeAddress (const QString &address)
- void refresh (void)

## Detailed Description

This widget displays information about a statement in the Oracle SGA. To get an address use the toSQLToAddress function.

toSGAStatement (QWidget *parent)

### toSGAStatement

Create widget.

Parameters:

parent | Parent widget.

void changeAddress (const QString &address)

### changeAddress

[virtual slot]

Display another statement.

Parameters:

address | Address of the statement to display.

void refresh (void)

### refresh

[slot]

Update the contents of this widget.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.